why i cannot compile in xp with vs2010 sp1?

Discussions related to using the OSE version of VirtualBox.

why i cannot compile in xp with vs2010 sp1?

Postby xuchao » 20. Oct 2013, 16:21

Hi guys:
i tried to compile virtualbox4.2.18 in xp. i have installed vs2010 and then i installed sp1 for vs2010,but when i use "cscript configure.vbs" in vs2010 command line,i found the error:
error:the visual c++ compiler we found ('D:/vs2010/vc') isn't 10.0 or 11.0. ck the build requirements.

i have the right visual studio version,but why i get that error?
xuchao
 
Posts: 15
Joined: 20. Oct 2013, 16:15

Re: why i cannot compile in xp with vs2010 sp1?

Postby mpack » 20. Oct 2013, 16:27

This is the VirtualBox site. I'm afraid we don't do Microsoft product support here.
mpack
Site Moderator
 
Posts: 29832
Joined: 4. Sep 2008, 17:09
Primary OS: MS Windows 10
VBox Version: PUEL
Guest OSses: Mostly XP

Re: why i cannot compile in xp with vs2010 sp1?

Postby xuchao » 20. Oct 2013, 16:36

mpack wrote:This is the VirtualBox site. I'm afraid we don't do Microsoft product support here.

hi,where can i find a detailed document about compiling virtualbox?i have found much ,but many are wrong.
xuchao
 
Posts: 15
Joined: 20. Oct 2013, 16:15

Re: why i cannot compile in xp with vs2010 sp1?

Postby mpack » 21. Oct 2013, 12:28

Google for "Building VirtualBox". The top hits are on VirtualBox.org.
mpack
Site Moderator
 
Posts: 29832
Joined: 4. Sep 2008, 17:09
Primary OS: MS Windows 10
VBox Version: PUEL
Guest OSses: Mostly XP


Return to VirtualBox OSE

Who is online

Users browsing this forum: No registered users and 1 guest